#1973 closed defect (fixed)

Convert from texi2www to texi2html

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: doc Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@…, gedare@… Blocked By:
Blocking:

Description

When starting my supporting tool audit, I quickly identified texi2www as obsolete. RTEMS is likely the only place texi2www still can be found actively in use.

With the attached patch, you can build the RTEMS Documentation with texi2html as shipped in texi2html-1.82-6.fc15.noarch. The biggest outstanding issue at this point is that I don't know how to customize the navigation buttons on the top of each page.

I am filing this in order to get some help so we can move to texi2html.

Attachments (2)

to_texi2html_v1.diff (27.6 KB) - added by Joel Sherrill on Nov 29, 2011 at 12:03:25 AM.
Patch to use texi2html
pr1973.diff (118.2 KB) - added by Joel Sherrill on Dec 5, 2011 at 7:16:04 PM.
Patch for review

Download all attachments as: .zip

Change History (8)

Changed on Nov 29, 2011 at 12:03:25 AM by Joel Sherrill

Attachment: to_texi2html_v1.diff added

Patch to use texi2html

comment:1 Changed on Nov 29, 2011 at 1:29:46 PM by Ralf Corsepius

Cc: Ralf Corsepius added

Changed on Dec 5, 2011 at 7:16:04 PM by Joel Sherrill

Attachment: pr1973.diff added

Patch for review

comment:2 Changed on Dec 5, 2011 at 7:16:04 PM by Joel Sherrill

attachments.isobsolete: 01

comment:3 Changed on Dec 5, 2011 at 7:59:20 PM by Gedare Bloom

blocked: 1912

comment:4 Changed on Dec 5, 2011 at 8:20:26 PM by Gedare Bloom

Cc: Gedare Bloom added

comment:5 Changed on Apr 12, 2014 at 12:25:21 AM by Gedare Bloom

Resolution: fixed
Status: newclosed

Fixed.

comment:6 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.